{- |
fCMTP URIs.

Those are also URLs, and have the following format:

> fcmtp://account.name@host.name/path/to/resource:revision

Very similar to HTTP, with an added optional revision.

Path to resource is also optional, but a revision can only
come in URIs with a path.

URIs that don't specify a path resolve to the account's
default path (what is implementation dependent),
and the ones that don't specify a revision resolve to the
aggregate of all the head revisions of the path.
-}
module Data.SMTP.URI (module Data.SMTP.Types.URI, module Data.SMTP.Parser.URI) where

import Data.SMTP.Types.URI
import Data.SMTP.Parser.URI
